【漏洞通告】Laravel远程代码执行漏洞(CVE-2022-31279)

admin 2022年6月15日18:14:49安全漏洞评论48 views1542字阅读5分8秒阅读模式

0x00 漏洞概述

CVE   ID

CVE-2022-31279

发现时间

2022-06-14

类    型

RCE

等    级

高危

远程利用

影响范围


攻击复杂度


用户交互


PoC/EXP

已公开

在野利用



0x01 漏洞详情

Laravel是一套简洁、优雅的PHP Web开发框架。
近日,Laravel 被披露存在多个安全漏洞,可允许通过反序列化POP链实现远程代码执行,如下:
CVE-2022-30778:Laravel远程代码执行漏洞
Laravel 9.1.8在处理反序列化数据时,允许通过IlluminateBroadcastingPendingBroadcast.php中的__destruct中的反序列化POP链和IlluminateBusQueueingDispatcher.php中的dispatch($command)实现远程代码执行。
CVE-2022-30779:Laravel远程代码执行漏洞
Laravel 9.1.8在处理反序列化数据时,允许通过GuzzleHttpCookieFileCookieJar.php中__destruct中的反序列化POP链实现远程代码执行。
CVE-2022-31279:Laravel远程代码执行漏洞
Laravel 9.1.8在处理反序列化数据时,允许通过 IlluminateBroadcastingPendingBroadcast.php中的 __destruct 和 FakerGenerator.php 中的 __call 中的反序列化POP链实现远程代码执行。
CVE-ID暂无:Laravel远程代码执行漏洞
Laravel 9.1.8在处理反序列化数据时,允许通过反序列化POP链实现远程代码执行:(1) IlluminateRoutingPendingResourceRegistration.php中的__destruct;(2) IlluminateRoutingPendingResourceRegistration.php中的register;(3) FakerGenerator.php中的__call。


0x02 安全建议

受影响用户可以升级到最新版本。
下载链接:
https://github.com/laravel/laravel/releases


0x03 参考链接

https://github.com/1nhann/vulns/issues
https://github.com/1nhann/vulns/issues/3
https://nvd.nist.gov/vuln/detail/cve-2022-31279


0x04 版本信息

版本

日期

修改内容

V1.0

2022-06-14

首次发布


0x05 附录

公司简介
启明星辰成立于1996年,是由留美博士严望佳女士创建的、拥有完全自主知识产权的信息安全高科技企业。是国内最具实力的信息安全产品、安全服务解决方案的领航企业之一。
公司总部位于北京市中关村软件园启明星辰大厦,公司员工近4000人,研发团队1200余人, 技术服务团队1300余人。在全国各省、市、自治区设立分支机构六十多个,拥有覆盖全国的销售体系、渠道体系和技术支持体系。公司于2010年6月23日在深圳中小板挂牌上市。(股票代码:002439)
多年来,启明星辰致力于提供具有国际竞争力的自主创新的安全产品和最佳实践服务,帮助客户全面提升其IT基础设施的安全性和生产效能,为打造和提升国际化的民族信息安全产业领军品牌而不懈努力。


关于我们
启明星辰安全应急响应中心主要针对重要安全漏洞的预警、跟踪和分享全球最新的威胁情报和安全报告。
关注以下公众号,获取全球最新安全资讯:

【漏洞通告】Laravel远程代码执行漏洞(CVE-2022-31279)


原文始发于微信公众号(维他命安全):【漏洞通告】Laravel远程代码执行漏洞(CVE-2022-31279)

特别标注: 本站(CN-SEC.COM)所有文章仅供技术研究,若将其信息做其他用途,由用户承担全部法律及连带责任,本站不承担任何法律及连带责任,请遵守中华人民共和国安全法.
  • 我的微信
  • 微信扫一扫
  • weinxin
  • 我的微信公众号
  • 微信扫一扫
  • weinxin
admin
  • 本文由 发表于 2022年6月15日18:14:49
  • 转载请保留本文链接(CN-SEC中文网:感谢原作者辛苦付出):
                  【漏洞通告】Laravel远程代码执行漏洞(CVE-2022-31279) http://cn-sec.com/archives/1118480.html

发表评论

匿名网友 填写信息

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: